Subject: [Id-event] Breaking up the distribution spec - next steps - terminology

From: Phil Hunt <[email-masked]>
Date: Wed, 25 Jan 2017 10:15:39 -0800

Now that we’ve adopted the SET token spec, the next step is to figure out how to handle distribution/delivery of SEC events between parties.

While I had put forward a draft distribution spec, I realized in Seoul that many people are in very different places on what is needed to handle event delivery.

Before I attempt to rewrite the draft, lets talk terminology and use cases and get agreement on requirements.

Current Terminology:

Publisher - An entity that issues and signs a SET token. The audience of a SET is typically a subscriber.

Subscriber - An entity or organization that will receive SET event tokens on a Feed.

Feed - A logical stream of events issued based on some criteria of event type and or subjects. A feed typically has one or more subscriptions.  In addition to a set of event types that may come in a feed, there is another dimension:  “enrolment" the subjects or entities about which SETs will be issued.  A feed may have one or more subscribers.

Enrolment* - The set of entities within a feed about which events are issued.  For example, in the RISC case, end users(subjects) are typically enrolled into a feed  when the user invoked a federated sign-on from an Identity Provider to a relying party.  
*NOTE: This is *not* a concept in the current distribution draft.

Subscription:  A subscriber who has registered to receive a feed. A subscription includes meta attributes like delivery endpoints, credentials and subscription status/state.

Comments on terminology:
A. There are many cases where separate Feeds vs. subscriptions are not needed. RISC and some other specs take a more idealized or streamlined view of the data model. I think this is ok, but I’m not sure it applies to all potential uses.  For example, I don’t see it as necessarily true that logouts and RISC events will flow through the same logical connections (Feeds).   

B. I chose “subscription” from typical notions of pub-sub definitions to describe an endpoint that has elected to receive a feed. Much like a homeowner signs up with a publisher to receive one or more magazines. The RISC working group has used the term “subscription” to refer to the notion that a subject is added to a feed as a subscription.  To correct this conflict, I am proposing the term “enrolment” to describe the notion of controlling what subjects are part of a feed. 

Please let me know if you agree with these definitions or would like to propose changes.

I’ll post another email on use-cases for deliverables...

Phil

Oracle Corporation, Identity Cloud Services & Standards
@independentid
www.independentid.com <http://www.independentid.com/>[email-masked] <mailto:[email-masked]>